This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 247406

Summary: Review Request: libcompizconfig - configuration backend for compiz >= 0.5.1
Product: [Fedora] Fedora Reporter: Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, jarod, leigh123linux, lxtnow, michel, mtasaka, notting, s.adam, tjb
Target Milestone: ---Flags: mtasaka: fedora‑review+
tibbs: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-17 13:15:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 247405, 247409    
Bug Blocks: 247408    
Attachments:
Description Flags
Patch for libX11.so linkage fix none

Description Mohd Izhar Firdaus Ismail 2007-07-09 00:14:42 EDT
Spec URL: http://devel.foss.org.my/~kagesenshi/repo/private/testing/SPEC/libcompizconfig.spec
SRPM URL: http://devel.foss.org.my/~kagesenshi/repo/private/testing/libcompizconfig/libcompizconfig-0.0.1-0.5.20070708git.fc7.src.rpm
Description:
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the library for plugins to configure compiz settings.

-----
BuildReq: compiz-bcop
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=247405
Comment 1 Xavier Lamien 2007-07-09 17:08:14 EDT
Added block dependency
Comment 2 Stewart Adam 2007-07-09 18:34:36 EDT
- A trival rpmlint warning:
W: libcompizconfig summary-not-capitalized libcompizconfig

- Rebuilding libcompizconfig-0.0.1-0.5.20070708git.fc7.src.rpm returns:
error: Failed build dependencies:
        compiz-devel >= 0.5.1 is needed by
libcompizconfig-0.0.1-0.5.20070708git.fc7.i386

I can't continue to review this until compiz >= 0.5.1 had been reviewed.
Comment 3 Michel Alexandre Salim 2007-10-05 10:02:45 EDT
The development tree now has compiz 0.5.2. Stewart, do you still want to do the 
review? Otherwise, I can take it.
Comment 4 Stewart Adam 2007-10-05 18:03:26 EDT
If you don't mind I'll take it :)

I got a 404 error with the SRPM above, I'll use this instead:
http://devel.foss.org.my/~kagesenshi/repo/private/testing/libcompizconfig/libcompizconfig-0.5.2-0.1.fc7.src.rpm
Let me know if I should be using another SRPM.

+ source files match upstream
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
- license field matches the actual license.
"GPL" is no longer a vlid license. Please specify the version - See
http://fedoraproject.org/wiki/Licensing for more info.
+ license is open source-compatible, GPL License text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
It isn't "silent", but the errors can be ignored.
+ no shared libraries are added to the regular linker search paths.
- owns the directories it creates.
It should own %{_datadir}/compizconfig and %{_libdir}/compizconfig
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ documentation is small, so no -docs subpackage is necessary.
+ headers, pkgconfig files are in -devel package
+ no .la files
Comment 5 Mohd Izhar Firdaus Ismail 2007-10-05 21:50:00 EDT
Thanks for resuming this review

I have changed the license tag and added created directories into %files

SPEC: http://izhar.fedorapeople.org/libcompizconfig/libcompizconfig.spec
SRPM:
http://izhar.fedorapeople.org/libcompizconfig/libcompizconfig-0.5.2-0.3.fc8.src.rpm

btw .. I forgot to mention that i need a sponsor as this is my first package in
Fedora repository ..
Comment 6 Stewart Adam 2007-10-06 00:17:05 EDT
Well the package itself is ready to be imported, but I can't to sponsor you -
I've unassigned the bug from myself and hopefully someone who can sponsor you
will pick it up soon.
Comment 7 Mamoru TASAKA 2007-10-06 13:16:34 EDT
For 0.5.2-0.3:

* zero-length document
  - Please explain why you need zero-length documents
-------------------------------------------------------
E: zero-length /usr/share/doc/libcompizconfig-0.5.2/README
E: zero-length /usr/share/doc/libcompizconfig-0.5.2/ChangeLog
-------------------------------------------------------

* undefined non-weak symbols
-------------------------------------------------------
W: undefined-non-weak-symbol /usr/lib/libcompizconfig.so.0.0.0 XStringToKeysym
W: undefined-non-weak-symbol /usr/lib/libcompizconfig.so.0.0.0 XKeysymToString
-------------------------------------------------------
  - As this srpm provides -devel subpackage, these undefined non-weak
    symbols cannot be allowed because this causes linkage failure.

* Timestamp
  - To keep timestamps on xml and header files, I recommend
-------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
-------------------------------------------------------
    This method usually works on recent Makefiles.
Comment 8 Mohd Izhar Firdaus Ismail 2007-10-07 03:41:25 EDT
////
* undefined non-weak symbols
-------------------------------------------------------
W: undefined-non-weak-symbol /usr/lib/libcompizconfig.so.0.0.0 XStringToKeysym
W: undefined-non-weak-symbol /usr/lib/libcompizconfig.so.0.0.0 XKeysymToString
-------------------------------------------------------
  - As this srpm provides -devel subpackage, these undefined non-weak
    symbols cannot be allowed because this causes linkage failure.

////

may i know how to resolve this?? 
Comment 9 Mamoru TASAKA 2007-10-07 03:55:00 EDT
(In reply to comment #8)
> ////
> * undefined non-weak symbols
> -------------------------------------------------------
> W: undefined-non-weak-symbol /usr/lib/libcompizconfig.so.0.0.0 XStringToKeysym
> W: undefined-non-weak-symbol /usr/lib/libcompizconfig.so.0.0.0 XKeysymToString
> -------------------------------------------------------
>   - As this srpm provides -devel subpackage, these undefined non-weak
>     symbols cannot be allowed because this causes linkage failure.
> 
> ////
> 
> may i know how to resolve this?? 
"nm -D" shows that both symbols are provides by libX11.so, so
linking against libX11.so should fix this.

Comment 10 Mamoru TASAKA 2007-10-07 03:55:56 EDT
(In reply to comment #9)

> "nm -D" shows that both symbols are provides by libX11.so, so
> linking against libX11.so should fix this.

s/provides/provided/
Comment 11 Mamoru TASAKA 2007-10-11 02:56:57 EDT
Note:
rawhide compiz is now upgrade to 0.6.0
Comment 12 Mohd Izhar Firdaus Ismail 2007-10-11 23:52:33 EDT
I have updated the package

http://izhar.fedorapeople.org/libcompizconfig/libcompizconfig-0.6.0-1.5615ca.fc8.src.rpm

- added builddep libX11-devel
Comment 13 Yijun Yuan 2007-10-12 01:47:52 EDT
why compiz-bcop is needed to build this? Is compiz-bcop a devel package?
Comment 14 Mohd Izhar Firdaus Ismail 2007-10-12 01:56:21 EDT
yup .. compiz-bcop is needed to build compiz plugins .. and libcompizconfig is a
compiz plugin and a configuration backend

Comment 15 Mamoru TASAKA 2007-10-12 02:51:13 EDT
Created attachment 225181 [details]
Patch for libX11.so linkage fix

For 0.6.0-1.5615ca

* Undefined non-weak symbols
  - Still these symbols exist.
-----------------------------------------------------
[root@localhost ~]# rpm -q libcompizconfig
libcompizconfig-0.6.0-1.5615ca.fc8
[root@localhost ~]# rpmlint libcompizconfig
libcompizconfig.i386: W: undefined-non-weak-symbol
/usr/lib/libcompizconfig.so.0.0.0 XStringToKeysym
libcompizconfig.i386: W: undefined-non-weak-symbol
/usr/lib/libcompizconfig.so.0.0.0 XKeysymToString
[root@localhost ~]# ldd -r /usr/lib/libcompizconfig.so.0.0.0 >/dev/null
undefined symbol: XStringToKeysym	(/usr/lib/libcompizconfig.so.0.0.0)
undefined symbol: XKeysymToString	(/usr/lib/libcompizconfig.so.0.0.0)
-----------------------------------------------------
    Only installing libX11-devel will not solve this issue.
    You have to patch against Makefile.in so that libcompizconfig.so
    is linked against libX11.so.

* Source
  - The tarball in your srpm was not found on the URL written
    as source0.
  * Please refer to http://fedoraproject.org/wiki/Packaging/SourceURL ,
    section "Using Revision Control"
  * Also, if this tarball is a "pre-release", please also check
    the section "Non-Numeric Version in Release" of
    http://fedoraproject.org/wiki/Packaging/NamingGuidelines.
Comment 17 Mamoru TASAKA 2007-10-16 11:42:07 EDT
For 0.6.0-0.2.20071011git:

* License
  - After I rechecked the whole files in tarball, I noticed
    that libini.so is licensed under GPLv2+.
    Also, "COPYING" file in libcompizconfig rpm is GPL.
    So:

    * Change License tag to "LGPLv2+ and GPLv2+".
    * Add a comment in the spec file like:
---------------------------------------------------------
Group:          System Environment/Libraries
# backends/libini.so is GPLv2+, other parts are LGPLv2+
License:        LGPLv2+ and GPLv2+
---------------------------------------------------------
    * Add "LICENSE.gpl" "LICENSE.lgpl" to %doc

When you have done the fixes above, I guess I can approve
this package.
Comment 18 Mohd Izhar Firdaus Ismail 2007-10-16 12:51:29 EDT
ok .. i've added the changes from comment 17

http://izhar.fedorapeople.org/libcompizconfig/libcompizconfig-0.6.0-0.3.20071011git5615ca.fc8.src.rpm
Comment 19 Mamoru TASAKA 2007-10-16 13:02:22 EDT
Okay.

------------------------------------------------------------------
    This package (libcompizconfig) is APPROVED by me
------------------------------------------------------------------

Please follow the procedure according to:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 20 Mohd Izhar Firdaus Ismail 2007-10-16 22:20:53 EDT
I have added myself into cvsextras and fedorabugs group..
Comment 21 Mamoru TASAKA 2007-10-17 03:27:54 EDT
Now I should be sponsoring you. Please proceed.
Comment 22 Mohd Izhar Firdaus Ismail 2007-10-17 04:01:29 EDT
New Package CVS Request
=======================
Package Name: libcompizconfig
Short Description: Configuration backend for compiz
Owners: izhar
Branches: F-7
InitialCC: izhar
Cvsextras Commits: yes
Comment 23 Kevin Fenzi 2007-10-17 12:20:02 EDT
cvs done.
Comment 24 Mohd Izhar Firdaus Ismail 2007-10-17 12:38:41 EDT
thanks kevin 

btw, i just noticed compiz-bcop is only available @ devel branch , so i guess
the F-7 branch is not needed ( sorry~ ).. am i just required to ignore it? .. or
are there some procedure i need to follow to cleanup that?
Comment 25 Mamoru TASAKA 2007-10-17 12:50:16 EDT
You can just ignore F-7 branch then.
Comment 26 leigh scott 2011-04-01 11:55:26 EDT
Hi Mohd Izhar,

Is it ok for me to request a epel6 branch?

https://bugzilla.redhat.com/show_bug.cgi?id=677365

Thanks

Leigh
Comment 27 leigh scott 2011-04-01 13:42:33 EDT
Package Change Request
======================
Package Name: libcompizconfig
New Branches: el6
Owners: leigh123linux
Comment 28 Jason Tibbitts 2011-04-03 23:50:08 EDT
Git done (by process-git-requests).